Subject: RE: [Megaco] Unique key for multiple calls on the same terminatio n?

From: "Blatherwick, Peter" <[email-masked]>
Date: Fri, 27 Jul 2001 12:33:28 -0400

Hmmm...  I don't think I fully understand your issue.  

Since the Call Agent / MGC side is in full control over MG operation, I do not see where there should be confusion.  The Transaction id coming back in response to the various Add and Modify commands should clarify in all cases which Context and Termination ids are for what call leg, since these will be related to the Transaction which initiated them.  This sounds like an issue of careful state machine design in the MGC side, not one of protocol or IP Phone's use of the protocol.  

(Also, Megaco messages have nothing to do with "call" really, just connections that could correspond to call legs as initiated by the MGC.  The phone does not actually "make a call" at all, the MGC does that, based on events received and signals sent down.  For all the MG knows, it may not call related at all.)  

-- Peter

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: July 27, 2001 12:07
To: [email-masked]
Subject: [Megaco] Unique key for multiple calls on the same termination?

List,

  As per rfc3054 [megaco ipphone], when we use megaco for communication between the MGC and the ipphone, how do we uniquely identify a megaco message for a call when multiple calls are present on the same termination? 

  Scenario
  Consider the handset to be the audio transducer termination and is the same for all calls. The phone makes a first call. Then puts the call on hold, and starts with a new call. Consider the signalling to be at a stage, before AddReply is obtained from the phone. At the same time say the call agent is trying to terminate another call on the phone. Now say two messages are recieved which have "NULL" context id. How do we uniquely identify for which context, the messges are intended to.

 After the contextId has been selected by the phone, we can identify the context based on the context ID since it would be different for two calls. How do we identify before it, since the context ID may not be unique [both can be NULL].

 Is there a draft that talks about this issue. Any inputs are greatly appreciated.

Thanks,
Rajesh.    

-------------------------------------------------
Get personalized e-mail and a web address or your
own free e-mail at http://www.networksolutions.com.

_______________________________________________
Megaco mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/megaco